<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/shcs_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>:Info: shcs_:  1983-03-31  shcs_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in shcs_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: set_force_write_limit:  1983-02-09  shcs_$set_force_write_limit
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: sets the write limit of the calling process.  This limit
<span id="L12" class="LineNr">12 </span>specifies the maximum number of pages that may be queued for I/O at
<span id="L13" class="LineNr">13 </span>the same time by calls to hcs_$force_write.  The default for this
<span id="L14" class="LineNr">14 </span>limit is 1.
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>Syntax:
<span id="L18" class="LineNr">18 </span>declare shcs_$set_force_write_limit entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>call shcs_$set_force_write_limit <span class="textRainbow_lv0_p0">(</span>npages<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>Arguments:
<span id="L23" class="LineNr">23 </span>npages
<span id="L24" class="LineNr">24 </span>   is the maximum number of pages that will be allowed to be queued for
<span id="L25" class="LineNr">25 </span>   I/O at the same time.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>code
<span id="L27" class="LineNr">27 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>:hcom:
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>/****^  HISTORY COMMENTS:
<span id="L35" class="LineNr">35 </span>  1) change<span class="textRainbow_lv0_p0">(</span>2020-05-19<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2021-02-22<span class="textRainbow_lv0_o0">,</span>MCR10088<span class="textRainbow_lv0_p0">)</span>,
<span id="L36" class="LineNr">36 </span>     audit<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>MR12.6g-0056<span class="textRainbow_lv0_p0">)</span>:
<span id="L37" class="LineNr">37 </span>     Fix info seg format issues found by verify_info.
<span id="L38" class="LineNr">38 </span>                                                   END HISTORY COMMENTS */
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
